/*------------------------------------------------------------------------
  File        : WebApp/TP/BL/File.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 07-03-2018 13:30:09
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttFile BEFORE-TABLE bttFile
    FIELD acc_period LIKE aa-tp_file.acc_period
    FIELD acc_year LIKE aa-tp_file.acc_year
    FIELD attachmentnr LIKE aa-tp_file.attachmentnr
    FIELD booking_seqnr LIKE aa-tp_file.booking_seqnr
    FIELD bookingagentnr LIKE aa-tp_file.bookingagentnr
    FIELD bookingnr LIKE aa-tp_file.bookingnr
    FIELD bookingnr_num_part LIKE aa-tp_file.bookingnr_num_part
    FIELD ca_containerid LIKE aa-tp_file.ca_containerid
    FIELD calc_consignee_name AS CHARACTER LABEL "Consignee"
    FIELD calc_customer_name AS CHARACTER LABEL "Customer"
    FIELD calc_from_country AS CHARACTER LABEL ""
    FIELD calc_list_to_copy AS CHARACTER LABEL ""
    FIELD calc_shipper_name AS CHARACTER LABEL "Shipper"
    FIELD calc_to_country AS CHARACTER LABEL ""
    FIELD calc_voyage AS CHARACTER LABEL ""
    FIELD cargo_cbm LIKE aa-tp_file.cargo_cbm
    FIELD cargo_weight LIKE aa-tp_file.cargo_weight
    FIELD cargotypecode LIKE aa-tp_file.cargotypecode
    FIELD companycode LIKE aa-tp_file.companycode
    FIELD consignee_addressnr LIKE aa-tp_file.consignee_addressnr
    FIELD containernr LIKE aa-tp_file.containernr
    FIELD containerprefix LIKE aa-tp_file.containerprefix
    FIELD containertypecode LIKE aa-tp_file.containertypecode
    FIELD create_usercode LIKE aa-tp_file.create_usercode
    FIELD cust_ref LIKE aa-tp_file.cust_ref
    FIELD customer_addressnr LIKE aa-tp_file.customer_addressnr
    FIELD customs_documents LIKE aa-tp_file.customs_documents FORMAT "X(80)"
    FIELD customscode LIKE aa-tp_file.customscode
    FIELD des LIKE aa-tp_file.des
    FIELD dt_create LIKE aa-tp_file.dt_create
    FIELD dt_update LIKE aa-tp_file.dt_update
    FIELD extra LIKE aa-tp_file.extra
    FIELD from_zipcode LIKE aa-tp_file.from_zipcode
    FIELD imo_class LIKE aa-tp_file.imo_class
    FIELD imo_emscode LIKE aa-tp_file.imo_emscode
    FIELD imo_flashpoint LIKE aa-tp_file.imo_flashpoint
    FIELD imo_mfagcode LIKE aa-tp_file.imo_mfagcode
    FIELD imo_unno LIKE aa-tp_file.imo_unno
    FIELD ind_20_tipping LIKE aa-tp_file.ind_20_tipping
    FIELD ind_40_tipping LIKE aa-tp_file.ind_40_tipping
    FIELD ind_45_tipping LIKE aa-tp_file.ind_45_tipping
    FIELD ind_cargobars_rfr LIKE aa-tp_file.ind_cargobars_rfr
    FIELD ind_customers_own_paperwork LIKE aa-tp_file.ind_customers_own_paperwork
    FIELD ind_driver_safety LIKE aa-tp_file.ind_driver_safety
    FIELD ind_driver_safety_del LIKE aa-tp_file.ind_driver_safety_del
    FIELD ind_equip1 LIKE aa-tp_file.ind_equip1
    FIELD ind_equip2 LIKE aa-tp_file.ind_equip2
    FIELD ind_equip3 LIKE aa-tp_file.ind_equip3
    FIELD ind_equip4 LIKE aa-tp_file.ind_equip4
    FIELD ind_equip5 LIKE aa-tp_file.ind_equip5
    FIELD ind_extra_straps LIKE aa-tp_file.ind_extra_straps
    FIELD ind_extra_tarpaulins LIKE aa-tp_file.ind_extra_tarpaulins
    FIELD ind_flat_driver LIKE aa-tp_file.ind_flat_driver
    FIELD ind_flat_driver_del LIKE aa-tp_file.ind_flat_driver_del
    FIELD ind_foodgrade LIKE aa-tp_file.ind_foodgrade
    FIELD ind_genset LIKE aa-tp_file.ind_genset
    FIELD ind_genset_del LIKE aa-tp_file.ind_genset_del
    FIELD ind_haz_driver LIKE aa-tp_file.ind_haz_driver
    FIELD ind_haz_driver_del LIKE aa-tp_file.ind_haz_driver_del
    FIELD ind_helper LIKE aa-tp_file.ind_helper
    FIELD ind_helper_del LIKE aa-tp_file.ind_helper_del
    FIELD ind_imo LIKE aa-tp_file.ind_imo
    FIELD ind_imo_labels LIKE aa-tp_file.ind_imo_labels
    FIELD ind_lashing_eyes LIKE aa-tp_file.ind_lashing_eyes
    FIELD ind_low_loader LIKE aa-tp_file.ind_low_loader
    FIELD ind_low_loader_del LIKE aa-tp_file.ind_low_loader_del
    FIELD ind_reefer LIKE aa-tp_file.ind_reefer
    FIELD ind_tfs_driver LIKE aa-tp_file.ind_tfs_driver
    FIELD ind_tfs_driver_del LIKE aa-tp_file.ind_tfs_driver_del
    FIELD ind_tipping LIKE aa-tp_file.ind_tipping
    FIELD ind_tipping_hc LIKE aa-tp_file.ind_tipping_hc
    FIELD ind_tri_axle_tractor LIKE aa-tp_file.ind_tri_axle_tractor
    FIELD ind_tri_axle_tractor_del LIKE aa-tp_file.ind_tri_axle_tractor_del
    FIELD ind_waste LIKE aa-tp_file.ind_waste
    FIELD ind_waste_driver LIKE aa-tp_file.ind_waste_driver
    FIELD ind_waste_driver_del LIKE aa-tp_file.ind_waste_driver_del
    FIELD instructions LIKE aa-tp_file.instructions
    FIELD instructions_del LIKE aa-tp_file.instructions_del
    FIELD item_seqnr LIKE aa-tp_file.item_seqnr
    FIELD kind_packages LIKE aa-tp_file.kind_packages
    FIELD linecode LIKE aa-tp_file.linecode
    FIELD name_of_goods LIKE aa-tp_file.name_of_goods
    FIELD no_packages LIKE aa-tp_file.no_packages
    FIELD notify_usercode LIKE aa-tp_file.notify_usercode
    FIELD overheight LIKE aa-tp_file.overheight
    FIELD overlength_back LIKE aa-tp_file.overlength_back
    FIELD overlength_front LIKE aa-tp_file.overlength_front
    FIELD overwidth_left LIKE aa-tp_file.overwidth_left
    FIELD overwidth_right LIKE aa-tp_file.overwidth_right
    FIELD packing_group LIKE aa-tp_file.packing_group
    FIELD pod_remarks LIKE aa-tp_file.pod_remarks
    FIELD pod_required LIKE aa-tp_file.pod_required
    FIELD preferred_supplier LIKE aa-tp_file.preferred_supplier
    FIELD reefer_temp1 LIKE aa-tp_file.reefer_temp1 FORMAT "-ZZ9.99"
    FIELD reefer_temp2 LIKE aa-tp_file.reefer_temp2 FORMAT "-ZZ9.99"
    FIELD release_pincode LIKE aa-tp_file.release_pincode
    FIELD remarks_haulier LIKE aa-tp_file.remarks_haulier
    FIELD sealno LIKE aa-tp_file.sealno
    FIELD servicecode LIKE aa-tp_file.servicecode
    FIELD shipment_seqnr LIKE aa-tp_file.shipment_seqnr
    FIELD shipper_addressnr LIKE aa-tp_file.shipper_addressnr
    FIELD straps LIKE aa-tp_file.straps
    FIELD tarpaulins LIKE aa-tp_file.tarpaulins
    FIELD tim_create LIKE aa-tp_file.tim_create
    FIELD tim_update LIKE aa-tp_file.tim_update
    FIELD to_zipcode LIKE aa-tp_file.to_zipcode
    FIELD tp_file_seqnr LIKE aa-tp_file.tp_file_seqnr FORMAT "->>>>>>>9"
    FIELD tp_file_status LIKE aa-tp_file.tp_file_status
    FIELD tp_filetype LIKE aa-tp_file.tp_filetype
    FIELD tp_reference LIKE aa-tp_file.tp_reference
    FIELD update_usercode LIKE aa-tp_file.update_usercode
    FIELD ventilation LIKE aa-tp_file.ventilation
    FIELD vesselnr LIKE aa-tp_file.vesselnr
    FIELD voyage_des LIKE aa-tp_file.voyage_des
    FIELD voyage_dt_eta LIKE aa-tp_file.voyage_dt_eta
    FIELD voyage_dt_ets LIKE aa-tp_file.voyage_dt_ets
    FIELD voyage_pod LIKE aa-tp_file.voyage_pod
    FIELD voyage_pol LIKE aa-tp_file.voyage_pol
    FIELD voyage_tim_eta LIKE aa-tp_file.voyage_tim_eta
    FIELD voyage_tim_ets LIKE aa-tp_file.voyage_tim_ets
    FIELD voyno_in LIKE aa-tp_file.voyno_in
    FIELD voyno_out LIKE aa-tp_file.voyno_out
    FIELD waste-ewc LIKE aa-tp_file.waste-ewc SERIALIZE-NAME "waste_ewc"
    FIELD waste-oecd LIKE aa-tp_file.waste-oecd SERIALIZE-NAME "waste_oecd"
.

DEFINE DATASET dsFile FOR ttFile.